<?php

namespace loyalsoft;

/**
 *  事件类型定义
 *  author: gwang, 2020年11月30日17:56:01
 */
class EEventType {

    /**
     * hello world
     */
    const HelloWorld = "HelloWorld";

    /**
     * 给予道具
     */
    const AddItem = "AddItem";

//    /**
//     * 给予道具
//     */
//    const AddWeapon = "AddWeapon";
//
//    /**
//     * 给予道具
//     */
//    const AddYanling = "AddYanling";

    /**
     * 完成任务步骤
     */
    const MissionStepComplete = "MissionStepComplete";

    /**
     * 任务卡完成
     */
    const TaskCardFinished = "TaskCardFinished";

    /**
     * 开启一段剧情对话
     */
    const StartPlot = "StartPlot";

}

/**
 * 系统事件处理模块
 * @author gwang
 */
class NormalEventProc {

    //put your code here

    public static function OnHelloWorld($arg1, $arg2) {
        Resp::AddEvent(EEventType::HelloWorld, $arg1, $arg2);
    }

    /**
     * 包裹--获得新的道具
     * @param type $arg1
     * @param type $arg2
     */
    public static function OnBag_new_Item($arg1, $arg2) {
        Resp::AddEvent(EEventType::AddItem, $arg1, $arg2);
    }

//    /**
//     * 包裹--获得新的武器
//     * @param type $arg1
//     * @param type $arg2
//     */
//    public static function OnBag_new_Weapon($arg1, $arg2) {
//        Resp::AddEvent(EEventType::AddWeapon, $arg1, $arg2);
//    }
//
//    /**
//     * 包裹--获得新的言灵
//     * @param type $arg1
//     * @param type $arg2
//     */
//    public static function OnBag_new_Yanling($arg1, $arg2) {
//        Resp::AddEvent(EEventType::AddYanling, $arg1, $arg2);
//    }

    /**
     * 任务卡-任务步骤完成
     * @param type $arg1
     * @param type $arg2
     */
    public static function OnTaskCardStep_Complete($arg1, $arg2) {
        Resp::AddEvent(EEventType::MissionStepComplete, $arg1, $arg2);
    }

    /**
     * 任务卡-完成
     * @param type $arg1
     * @param type $arg2
     */
    public static function OnTaskCard_Finish($arg1, $arg2) {
        Resp::AddEvent(EEventType::TaskCardFinished, $arg1, $arg2);
    }

    /**
     * 剧情-开启一段新对话
     * @param type $arg1
     * @param type $arg2 
     */
    public static function OnPlot_startNew($arg1, $arg2) {
        Resp::AddEvent(EEventType::StartPlot, $arg1, $arg2);
    }

}
